#
Summary: Forces GDM to display the DOE notice
Name: zz_gdm_doe_banner
Version: 1.0
Release: 0
License: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Pat Riehecky
requires: GConf2 gdm zz_gdm_no_user_list
BuildArch: noarch

%description
The DOE requests that we publish a login banner on all systems so that people understand their rights and restrictions on the systems.  This package adds the informational banner to GDM so that all users are sure to see it.

%files
%post

# Setup the message
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set /apps/gdm/simple-greeter/banner_message_text "This  is a Federal computer (and/or it is directly connected to a Fermilab local network system) that is the property of the United States Government.  It is for authorized use only.  Users (authorized or unauthorized) have no explicit or  implicit  expectation of privacy.

Any  or  all uses of this system and all files on this system may be intercepted, monitored, recorded,  copied, audited, inspected, and  disclosed  to authorized site, Department of Energy  and law enforcement personnel, as  well as authorized officials of  other agencies,  both  domestic and foreign.  By using this system, the user consents to such interception, monitoring, recording,  copying,  auditing,  inspection,  and disclosure at the discretion of authorized site or Department of Energy personnel.

Unauthorized or improper use of this system may result in  administrative  disciplinary  action and civil and criminal penalties.  By continuing to use this system you indicate your  awareness  of and  consent to these terms and conditions of use.  LOG OFF IMMEDIATELY if you do not agree to  the  conditions  stated  in  this warning.

Fermilab  policy  and  rules for computing, including appropriate use, may be found at http://www.fnal.gov/cd/main/cpolicy.html" >/dev/null 2>&1

# Enable the message
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/gdm/simple-greeter/banner_message_enable true >/dev/null 2>&1


%postun
# if this is an uninstall only (not an upgrade)
if [[ $1 -eq 0 ]]; then
    gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/gdm/simple-greeter/banner_message_enable true >/dev/null 2>&1
fi


%changelog
* Fri Nov 11 2011 Pat Riehecky <riehecky@fnal.gov> - 1.0-0
- Initial creation

